# Registrations

Registrations

## Creates a new registration record that does not already exist.

 - [POST /registrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/createregistration.md): This method will auto-generate an ID and create a new registration. If an ID is specified for the registration, an error will be thrown.

## Execute Batch Operations

 - [POST /registrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Downloads a Certificate

 - [GET /registrations/{tenantId}/certificate/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/downloadcertificate.md): Returns the HTML for the certificate

## Returns a list of records with the specified contact_id

 - [GET /registrations/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbycontactid.md): Returns a list of records with the specified contact_id

## Self Cancel Registration

 - [GET /registrations/{tenantId}/describeSelfCancellation/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/describeselfcancellation.md): This method will examine an event registration and generate an appropriate order

## Returns a list of records with the specified event_contact_id

 - [GET /registrations/{tenantId}/eventContact/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbyeventcontactid.md): Returns a list of records with the specified event_contact_id

## Returns a list of records with the specified event_organization_id

 - [GET /registrations/{tenantId}/eventOrganization/{eventId}/{organizationId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbyeventorganizationid.md): Returns a list of records with the specified event_organization_id

## Generates an order for a registration group

 - [POST /registrations/{tenantId}/generateGroupOrder/{groupId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/generategrouporder.md)

## Generates an order from an event registration

 - [POST /registrations/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/generateorder.md): This method will examine an event registration and generate an appropriate order

## Returns a list of records with the specified group_id

 - [GET /registrations/{tenantId}/group/{group_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbygroupid.md): Returns a list of records with the specified group_id

## Returns a list of records with the specified order_id

 - [GET /registrations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbyorderid.md): Returns a list of records with the specified order_id

## Returns a list of records with the specified parent_registration_id

 - [GET /registrations/{tenantId}/parentRegistration/{parent_registration_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/listregistrationsbyparentregistrationid.md): Returns a list of records with the specified parent_registration_id

## Examines a registration and detects any potential scheduling conflicts in the registration

 - [POST /registrations/{tenantId}/portal/detectSchedulingConflicts](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/detectschedulingconflicts.md): Examines a registration and detects any potential scheduling conflicts in the registration

## Sends out a preview of the CRC notification certificate

 - [POST /registrations/{tenantId}/previewCertificate](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/previewcertificate.md): Sends out a preview of the CRC notification certificate

## Sends out a preview of the CRC notification email

 - [POST /registrations/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/previewemail.md): Sends out a preview of the CRC notification email

## Generates the payload necessary to edit a registration

 - [GET /registrations/{tenantId}/registrationModificationPayload/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/generateregistrationmodificationpayload.md): This method will examine an event registration and generate an appropriate order

## Resends the confirmation email for a registration

 - [POST /registrations/{tenantId}/resendConfirmationEmail/{registration_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/resendconfirmationemail.md): Resends the confirmation email for a registration

## Searches for registrations using predefined parameters

 - [POST /registrations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/searchforregistrations.md): Searches for registrations using predefined parameters

## Self Cancel Registration

 - [POST /registrations/{tenantId}/selfCancelRegistration/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/performselfcancellation.md): This method will examine an event registration and generate an appropriate order

## Transfers a registration

 - [PUT /registrations/{tenantId}/transfer/{id}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/transferregistration.md): Transfers a registration registration from one contact to another, and updates downstream session, tickets, and course registrations

## Returns a registration from the system by its ID.

 - [DELETE /registrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/deleteregistration.md): This method will delete a registration with the specified ID.

## Returns a registration from the system by its ID.

 - [GET /registrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/getregistration.md): This method will look up a registration by the specified ID and return it back.

## Partially updates a registration with the specified ID.

 - [PATCH /registrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/patchregistration.md): This method will patch an existing registration with the specified ID, using the HTTP PATCH specification.

## Updates a registration with the specified ID.

 - [PUT /registrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrations/updateregistration.md): This method will update an existing registration with the specified ID.

